Subject: bug#28850: 26.0.90; Error running timer 'jit-lock-stealth-fontify': (error "Invalid search bound (wrong side of point)")

From: "Basil L. Contovounesios" <[email-masked]>
Date: Tue, 30 Apr 2019 14:44:27 +0100

Alan Mackenzie <[email-masked]> writes:

> Hello Basil.
>
> On Tue, Apr 30, 2019 at 13:57:16 +0100, Basil L. Contovounesios wrote:
>> Alan Mackenzie <[email-masked]> writes:
>
>> > The cause of this is a (search-forward-regexp <regexp> limit t) in a loop, where
>> > the code fails to check (< (point) limit) at the start.  In textprop.c in
>> > master, it so happens that the last successful iteration of the loop
>> > leaves point beyond limit.  So we get the exception.
>
>> > This is easy to correct, but first I'm going to check for all the other
>> > places where the same mistake occurs.  Expect a patch soon!
>
>> How exciting!  Thanks for looking into this so quickly.
>
> I've just committed a patch to all the usual places (including the
> savannah master) which I'm confident will have fixed the bug.  Feel free
> to test this (and tell me what isn't quite fixed ;-).

Thanks, I've had no problems so far.  I definitely can't reproduce the
error in the OP any more, so you can close the report again as far as
I'm concerned.

> I'm just thinking, maybe this fix should have gone into the emacs-26
> branch.  Not sure about that.

The patch looks unproblematic enough to me, but that is, of course,
Eli's call.

Thanks,

-- 
Basil